QGIS Application - Bug report #9751
MSYS shortcut doesn't handle path with spaces
2014-03-09 07:51 PM - Jessica Hamilton

Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18300
Description

In msys.bat, when starting the shell, should use syntax e.g. start "MSYS" "%WD%sh". Otherwise when launching, get an error like
"Cannot find C:\\Program". the "MSYS" is also required, because otherwise the quoted string gets interpreted as a window title.

Related issues:
Related to QGIS Application - Bug report # 10001: Window 7 menu shortcuts broken Closed 2014-04-05

History

#1 - 2014-03-18 08:44 AM - Keith Jenkins

This is an issue with the Windows installation of QGIS. The spaces-in-path-names problem has been debated in the MinGW project that maintains
MSYS. See http://sourceforge.net/p/mingw/bugs/1109/?limit=10&#38;page=2#3208

They advise not to put msys.bat in a folder where the path name contains spaces.

But since QGIS (and thus MSYS) installs into the "Program Files" folder (as do nearly all Windows programs), it would be good to provide a modified copy

(fixed as Jessica suggests above) of msys.bat in the QGIS Windows installer.

#2 - 2014-05-05 03:58 AM - Thad Kerosky

If you quote all of the executables in the msys.bat vendor file, especially rxvt.exe, then the program goes away on Windows XP.

#3 - 2014-06-21 03:07 AM - Jiirgen Fischer

- Category set to Windows Package

#4 - 2014-07-26 08:25 AM - Jiirgen Fischer

- Resolution set to fixed/implemented
- Status changed from Open to Closed
